Loading...
Searching...
No Matches
rotor.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/mol.h>`
`#include <openbabel/bond.h>`
`#include <openbabel/ring.h>`
`#include <openbabel/obiter.h>`
`#include <openbabel/oberror.h>`
`#include <openbabel/rotor.h>`
`#include <openbabel/graphsym.h>`
`#include <openbabel/elements.h>`
`#include <set>`
`#include <assert.h>`
`#include "torlib.h"`

## Namespaces

namespace | OpenBabel

## Macros

#define | M_PI 3.14159265358979323846
#define | OB_DEFAULT_DELTA 15.0

## Functions

static bool | GetDFFVector (OBMol &, vector< int > &, OBBitVec &)
static bool | CompareRotor (const pair< OBBond *, int > &, const pair< OBBond *, int > &)

## Detailed Description

Rotate dihedral angles according to rotor rules.

## Macro Definition Documentation

## M_PI

#define M_PI 3.14159265358979323846

## OB_DEFAULT_DELTA

#define OB_DEFAULT_DELTA 15.0

Default step resolution for a dihedral angle (in degrees).

Referenced by OBRotorRules::GetRotorIncrements(), and OBRotorRules::ParseLine().